[Testing Update] 2018-08-16 - Kernels (L1TF), Firefox, Mate, Virtualbox

update
testing

#1

Hi community,

Welcome to another testing update. So what do we have with this one?

  • we added the latest MATE packages
  • updated firefox-dev
  • renewed most of our kernels, incl. the L1TF fixes
  • Virtualbox got updated to 5.2.18
  • the usual python/haskell rebuilds/updates

We hope with all these changes Manjaro to be more efficient for you all.

For more info about L1TF please watch this video:


Currently we are working on a new Manjaro-Hardware project, the Bladebook Fall 2018. It will be powered by Manjaro KDE v18.0 and the latest Intel Apollo Lake Quad-Core HD APU. Having a fanless metal material (cassis either silver or gold-rose) and eMMC as storage (additional M2-SSD possible), it will have a long battery life. Find out more on our hardware page.

If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts. Our KDE fans may try our beta-build with the latest KDE v5.13 instead. And our GNOME fans may try our beta-build with the latest GNOME v3.28.


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.118 [EOL]
  • linux41 4.1.52 [EOL]
  • linux44 4.4.148
  • linux49 4.9.120
  • linux414 4.14.63
  • linux415 4.15.18 [EOL]
  • linux416 4.16.18 [EOL]
  • linux417 4.17.15
  • linux418 4.18.1
  • linux419 4.19-rc0
  • linux414-rt 4.14.52_rt34
  • linux416-rt 4.16.18_rt11

Package Updates (Wed Aug 15 00:00:56 CEST 2018)

  • testing community x86_64: 115 new and 111 removed package(s)
  • testing core x86_64: 4 new and 2 removed package(s)
  • testing extra x86_64: 39 new and 19 removed package(s)
  • testing multilib x86_64: 2 new and 2 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
               palemoon-unstable-bin                    -  28.0.0b5.20180801-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
                               abcde              2.9.1-3              2.9.2-1
                              acpica           20180629-1           20180810-1
                             angband              4.1.2-1              4.1.3-1
                               atril             1.20.1-1             1.20.2-1
              caja-extensions-common             1.20.0-2             1.20.1-1
                caja-image-converter             1.20.0-2             1.20.1-1
                  caja-open-terminal             1.20.0-2             1.20.1-1
                         caja-sendto             1.20.0-2             1.20.1-1
                          caja-share             1.20.0-2             1.20.1-1
                      caja-wallpaper             1.20.0-2             1.20.1-1
                     caja-xattr-tags             1.20.0-2             1.20.1-1
               cgroup_event_listener               4.16-1               4.18-1
                            cpupower               4.16-1               4.18-1
                            engrampa             1.20.0-1             1.20.1-1
                                 eom             1.20.0-1             1.20.1-1
           firefox-developer-edition            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-ach            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-af            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-an            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ar            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-as            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-ast            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-az            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-be            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-bg            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-bn-bd            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-bn-in            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-br            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-bs            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ca            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-cak            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-cs            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-cy            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-da            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-de            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-dsb            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-el            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-en-gb            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-en-us            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-en-za            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-eo            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-es-ar            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-es-cl            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-es-es            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-es-mx            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-et            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-eu            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-fa            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ff            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-fi            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-fr            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-fy-nl            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-ga-ie            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-gd            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-gl            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-gn            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-gu-in            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-he            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-hi-in            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-hr            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-hsb            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-hu            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-hy-am            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ia            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-id            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-is            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-it            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ja            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ka            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-kab            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-kk            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-km            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-kn            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ko            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-lij            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-lt            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-lv            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-mai            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-mk            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ml            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-mr            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ms            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-my            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-nb-no            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-ne-np            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-nl            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-nn-no            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-or            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-pa-in            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-pl            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-pt-br            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-pt-pt            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-rm            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ro            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ru            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-si            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-sk            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-sl            62.0b16-1            62.0b17-1
  firefox-developer-edition-i18n-son            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-sq            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-sr            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-sv-se            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ta            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-te            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-th            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-tr            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-uk            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-ur            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-uz            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-vi            62.0b16-1            62.0b17-1
   firefox-developer-edition-i18n-xh            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-zh-cn            62.0b16-1            62.0b17-1
firefox-developer-edition-i18n-zh-tw            62.0b16-1            62.0b17-1
                                 fpc              3.0.4-3              3.0.4-4
                               fwupd              1.1.0-1              1.1.1-1
                           git-annex         6.20180807-4         6.20180807-5
                            gnuradio             3.7.11-6           3.7.13.4-1
                  gnuradio-companion             3.7.11-6           3.7.13.4-1
                 gnuradio-fcdproplus             3.7.5-12             3.7.5-13
                      gnuradio-iqbal            0.37.2-28            0.37.2-29
                    gnuradio-osmosdr             0.1.4-26             0.1.4-27
                                gqrx             2.11.1-2             2.11.5-1
                  haskell-cheapskate            0.1.1-113            0.1.1-114
                    haskell-dbus0.10           0.10.15-32                    -
                      haskell-hakyll          4.12.3.0-89          4.12.3.0-91
                 haskell-hjsonschema             1.9.0-66             1.9.0-67
                   haskell-hspec-wai             0.9.0-94             0.9.0-95
              haskell-hspec-wai-json            0.9.0-110            0.9.0-111
                 haskell-juicypixels                3.3-1              3.3.1-1
              haskell-servant-server          0.13.0.1-63          0.13.0.1-64
              haskell-wai-app-static           3.1.6.2-85           3.1.6.2-86
                   haskell-wai-extra           3.0.24.0-3           3.0.24.1-1
                  haskell-wai-logger            2.3.2-102            2.3.2-103
                       haskell-yesod             1.6.0-82             1.6.0-83
                  haskell-yesod-auth             1.6.3-80             1.6.3-81
                  haskell-yesod-core             1.6.6-15             1.6.6-16
               haskell-yesod-default            1.2.0-370            1.2.0-371
                  haskell-yesod-form             1.6.2-16             1.6.2-17
            haskell-yesod-persistent             1.6.0-75             1.6.0-76
                haskell-yesod-static             1.6.0-70             1.6.0-71
                  haskell-yesod-test             1.6.5-14             1.6.5-15
                         hledger-api              1.10-26              1.10-27
                         hledger-web              1.10-33              1.10-34
                              hoogle          5.0.17.3-66          5.0.17.3-67
                              hyperv               4.16-1               4.18-1
                               idris             1.3.0-45             1.3.0-46
                             jenkins              2.137-1              2.138-1
                                knot              2.7.0-2              2.7.1-1
                         kvantum-qt5             0.10.7-1             0.10.8-1
                             lazarus              1.8.4-1              1.8.4-3
                        lazarus-gtk2              1.8.4-1              1.8.4-3
                         lazarus-qt5              1.8.4-1              1.8.4-3
                          libmatekbd             1.20.1-1             1.20.2-1
                        libmatemixer             1.20.0-1             1.20.1-1
                      libmateweather             1.20.0-1             1.20.1-1
                       libtraceevent               4.16-1               4.18-1
                              libuhd           3.11.1.0-1           3.13.0.1-1
                     libuhd-firmware           3.11.1.0-1           3.13.0.1-1
                             libvolk                1.3-8                1.4-1
                    linux-tools-meta               4.16-1               4.18-1
                               marco             1.20.1-1             1.20.2-1
                           mate-calc             1.20.1-1             1.20.2-1
                 mate-control-center             1.20.2-1             1.20.3-1
                     mate-icon-theme             1.20.0-1             1.20.1-1
                          mate-media             1.20.0-1             1.20.1-1
                          mate-menus             1.20.0-1             1.20.1-1
                        mate-netbook             1.20.0-1             1.20.1-1
            mate-notification-daemon             1.20.0-1             1.20.1-1
                          mate-panel             1.20.2-1             1.20.3-1
                         mate-polkit             1.20.0-1             1.20.1-1
                  mate-power-manager             1.20.1-1             1.20.2-1
                    mate-screensaver             1.20.0-1             1.20.1-1
                 mate-sensors-applet             1.20.1-1             1.20.2-1
                mate-session-manager             1.20.0-1             1.20.1-1
                 mate-system-monitor             1.20.0-1             1.20.1-1
                       mate-terminal             1.20.0-1             1.20.1-1
                         mate-themes            3.22.16-1            3.22.17-1
                     mate-user-guide             1.20.0-1             1.20.1-1
                     mate-user-share             1.20.0-1             1.20.1-1
                          mate-utils             1.20.0-1             1.20.1-1
                                mozo             1.20.0-1             1.20.1-1
                              pandoc            2.2.3.2-4            2.2.3.2-5
                     pandoc-citeproc         0.14.3.1-108         0.14.3.1-109
                     pandoc-crossref           0.3.2.1-59           0.3.2.1-60
                                  pd             0.48.1-5             0.48.2-5
                                perf               4.16-1               4.18-1
                           postgrest          0.4.4.0-225          0.4.4.0-226
                              pwndbg         2017.09.26-3         2018.07.29-1
         python-cryptography-vectors                2.3-1              2.3.1-1
                    python-filebytes             0.9.15-2             0.9.16-1
                   python-hypothesis             3.67.0-1             3.68.0-1
                      python-netcdf4              1.4.0-3              1.4.1-1
              python-netcdf4-openmpi              1.4.0-3              1.4.1-1
                  python-ruamel-yaml            0.15.54-1            0.15.56-1
        python2-cryptography-vectors                2.3-1              2.3.1-1
                   python2-filebytes             0.9.15-2             0.9.16-1
                  python2-hypothesis             3.67.0-1             3.68.0-1
                     python2-netcdf4              1.4.0-3              1.4.1-1
             python2-netcdf4-openmpi              1.4.0-3              1.4.1-1
                              qt5pas         2.6.r57934-1         2.6.r57934-2
                             radare2              2.8.0-1              2.8.0-2
                                salt           2018.3.2-1           2018.3.2-2
                           shairplay   20160101.ce80e00-1   20180806.a761c22-1
                          shellcheck             0.5.0-71             0.5.0-72
                                 snd               18.5-1               18.6-1
                    sonic-visualiser                3.1-2              3.1.1-1
                                sssd             1.16.2-2              2.0.0-1
                          stone-soup             0.21.1-1             0.22.0-1
                      tamarin-prover             1.4.0-80             1.4.0-81
                                tmon               4.16-1               4.18-1
                           turbostat               4.16-1               4.18-1
                               usbip               4.16-1               4.18-1
                          virtualbox             5.2.16-2             5.2.18-1
                  virtualbox-ext-vnc             5.2.16-2             5.2.18-1
               virtualbox-guest-dkms             5.2.16-2             5.2.18-1
                virtualbox-guest-iso             5.2.16-1             5.2.18-1
              virtualbox-guest-utils             5.2.16-2             5.2.18-1
          virtualbox-guest-utils-nox             5.2.16-2             5.2.18-1
                virtualbox-host-dkms             5.2.16-2             5.2.18-1
                      virtualbox-sdk             5.2.16-2             5.2.18-1
                         x42-plugins           20180803-1           20180812-1
              x86_energy_perf_policy               4.16-1               4.18-1
            xfce4-whiskermenu-plugin              2.2.0-1              2.2.1-1
                              xmobar              0.26-70               0.27-1
                    python-pyqtgraph                    -             0.10.0-3
                        python-qt.py                    -           1.2.0.b2-2
                   qspectrumanalyzer                    -              2.2.0-2
                         simplesoapy                    -              1.5.1-2
                      simplespectral                    -              1.0.0-1
                         soapy_power                    -              1.6.1-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
                            linux414            4.14.62-1            4.14.63-1
                    linux414-headers            4.14.62-1            4.14.63-1
                            linux417            4.17.14-1            4.17.15-1
                    linux417-headers            4.17.14-1            4.17.15-1
                            linux418             4.18.0-1             4.18.1-1
                    linux418-headers             4.18.0-1             4.18.1-1
                      linux419 4.19rc0.0814.g10f3e23-1 4.19rc0.0814.g31130a1-1
              linux419-headers 4.19rc0.0814.g10f3e23-1 4.19rc0.0814.g31130a1-1
                             linux44            4.4.147-1            4.4.148-1
                     linux44-headers            4.4.147-1            4.4.148-1
                             linux49            4.9.119-1            4.9.120-1
                     linux49-headers            4.9.119-1            4.9.120-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
                         btrfs-progs               4.17-2             4.17.1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
   linux316-virtualbox-guest-modules             5.2.16-1             5.2.18-1
    linux316-virtualbox-host-modules             5.2.16-1             5.2.18-1
   linux318-virtualbox-guest-modules             5.2.16-4             5.2.18-1
    linux318-virtualbox-host-modules             5.2.16-4             5.2.18-1
    linux41-virtualbox-guest-modules             5.2.16-1             5.2.18-1
     linux41-virtualbox-host-modules             5.2.16-1             5.2.18-1
                  linux414-acpi_call             1.1.0-53             1.1.0-54
                   linux414-bbswitch               0.8-53               0.8-54
                linux414-broadcom-wl      6.30.223.271-53      6.30.223.271-54
                   linux414-catalyst     1:15.201.1151-53     1:15.201.1151-54
                linux414-ndiswrapper              1.61-53              1.61-54
                     linux414-nvidia           1:396.51-1           1:396.51-2
               linux414-nvidia-340xx           340.107-12           340.107-13
               linux414-nvidia-390xx             390.77-5             390.77-6
                   linux414-nvidiabl              0.88-53              0.88-54
                      linux414-r8168          8.045.08-41          8.045.08-42
                  linux414-rt3562sta        2.4.1.1_r4-53        2.4.1.1_r4-54
                        linux414-spl             0.7.9-17             0.7.9-18
                   linux414-tp_smapi              0.41-53              0.41-54
                linux414-vhba-module          20161009-53          20161009-54
   linux414-virtualbox-guest-modules             5.2.16-5             5.2.18-2
    linux414-virtualbox-host-modules             5.2.16-5             5.2.18-2
                        linux414-zfs             0.7.9-17             0.7.9-18
   linux415-virtualbox-guest-modules             5.2.16-1             5.2.18-1
    linux415-virtualbox-host-modules             5.2.16-1             5.2.18-1
   linux416-virtualbox-guest-modules             5.2.16-1             5.2.18-1
    linux416-virtualbox-host-modules             5.2.16-1             5.2.18-1
                  linux417-acpi_call             1.1.0-11             1.1.0-12
                   linux417-bbswitch               0.8-11               0.8-12
                linux417-broadcom-wl      6.30.223.271-11      6.30.223.271-12
                   linux417-catalyst     1:15.201.1151-11     1:15.201.1151-12
                linux417-ndiswrapper              1.61-11              1.61-12
                     linux417-nvidia           1:396.51-1           1:396.51-2
               linux417-nvidia-340xx           340.107-11           340.107-12
               linux417-nvidia-390xx             390.77-6             390.77-7
                   linux417-nvidiabl              0.88-11              0.88-12
                      linux417-r8168          8.045.08-11          8.045.08-12
                        linux417-spl             0.7.9-11             0.7.9-12
                   linux417-tp_smapi              0.41-11              0.41-12
                linux417-vhba-module          20161009-11          20161009-12
   linux417-virtualbox-guest-modules             5.2.16-6             5.2.18-2
    linux417-virtualbox-host-modules             5.2.16-6             5.2.18-2
                        linux417-zfs             0.7.9-11             0.7.9-12
                  linux418-acpi_call           1.1.0-0.12              1.1.0-1
                   linux418-bbswitch             0.8-0.12                0.8-1
                linux418-broadcom-wl    6.30.223.271-0.12       6.30.223.271-1
                   linux418-catalyst   1:15.201.1151-0.12      1:15.201.1151-1
                linux418-ndiswrapper            1.61-0.12               1.61-1
                     linux418-nvidia        1:396.51-0.12           1:396.51-1
               linux418-nvidia-340xx         340.107-0.12            340.107-1
               linux418-nvidia-390xx          390.77-0.12             390.77-1
                   linux418-nvidiabl            0.88-0.12               0.88-1
                      linux418-r8168        8.045.08-0.12           8.045.08-1
                        linux418-spl           0.7.9-0.12              0.7.9-1
                   linux418-tp_smapi            0.41-0.12               0.41-1
                linux418-vhba-module        20161009-0.12           20161009-1
   linux418-virtualbox-guest-modules          5.2.16-0.12             5.2.18-1
    linux418-virtualbox-host-modules          5.2.16-0.12             5.2.18-1
                        linux418-zfs           0.7.9-0.12              0.7.9-1
                  linux419-acpi_call              1.1.0-0            1.1.0-0.1
                   linux419-bbswitch                0.8-0              0.8-0.1
                linux419-broadcom-wl       6.30.223.271-0     6.30.223.271-0.1
                   linux419-catalyst      1:15.201.1151-0    1:15.201.1151-0.1
                linux419-ndiswrapper               1.61-0             1.61-0.1
                     linux419-nvidia           1:396.51-0         1:396.51-0.1
               linux419-nvidia-340xx            340.107-0          340.107-0.1
               linux419-nvidia-390xx             390.77-0           390.77-0.1
                   linux419-nvidiabl               0.88-0             0.88-0.1
                      linux419-r8168           8.045.08-0         8.045.08-0.1
                        linux419-spl              0.7.9-0            0.7.9-0.1
                   linux419-tp_smapi               0.41-0             0.41-0.1
                linux419-vhba-module           20161009-0         20161009-0.1
   linux419-virtualbox-guest-modules             5.2.16-0           5.2.18-0.1
    linux419-virtualbox-host-modules             5.2.16-0           5.2.18-0.1
                        linux419-zfs              0.7.9-0            0.7.9-0.1
                   linux44-acpi_call            1.1.0-104            1.1.0-105
                    linux44-bbswitch              0.8-104              0.8-105
                 linux44-broadcom-wl      6.30.223.271-74      6.30.223.271-75
                    linux44-catalyst    1:15.201.1151-104    1:15.201.1151-105
                 linux44-ndiswrapper              1.61-72              1.61-73
                      linux44-nvidia           1:396.51-1           1:396.51-2
                linux44-nvidia-340xx            340.107-9           340.107-10
                linux44-nvidia-390xx             390.77-3             390.77-6
                    linux44-nvidiabl             0.88-104             0.88-105
                       linux44-r8168          8.045.08-26          8.045.08-27
                   linux44-rt3562sta        2.4.1.1_r4-72        2.4.1.1_r4-73
                         linux44-spl             0.7.9-12             0.7.9-13
                    linux44-tp_smapi             0.41-104             0.41-105
                 linux44-vhba-module          20161009-72          20161009-73
    linux44-virtualbox-guest-modules             5.2.16-5             5.2.18-2
     linux44-virtualbox-host-modules             5.2.16-5             5.2.18-2
                         linux44-zfs             0.7.9-12             0.7.9-13
                   linux49-acpi_call             1.1.0-90             1.1.0-91
                    linux49-bbswitch               0.8-90               0.8-91
                 linux49-broadcom-wl      6.30.223.271-90      6.30.223.271-91
                    linux49-catalyst     1:15.201.1151-90     1:15.201.1151-91
                 linux49-ndiswrapper              1.61-88              1.61-89
                      linux49-nvidia           1:396.51-1           1:396.51-2
                linux49-nvidia-340xx            340.107-9           340.107-10
                linux49-nvidia-390xx             390.77-4             390.77-6
                    linux49-nvidiabl              0.88-90              0.88-91
                       linux49-r8168          8.045.08-30          8.045.08-31
                   linux49-rt3562sta        2.4.1.1_r4-88        2.4.1.1_r4-89
                         linux49-spl             0.7.9-14             0.7.9-15
                    linux49-tp_smapi              0.41-90              0.41-91
                 linux49-vhba-module          20161009-88          20161009-89
    linux49-virtualbox-guest-modules             5.2.16-5             5.2.18-2
     linux49-virtualbox-host-modules             5.2.16-5             5.2.18-2
                         linux49-zfs             0.7.9-14             0.7.9-15


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
                            harfbuzz              1.8.7-1              1.8.8-1
                        harfbuzz-icu              1.8.7-1              1.8.8-1
                              maxima             5.41.0-5             5.41.0-6
                 python-cryptography                2.3-1              2.3.1-1
                python2-cryptography                2.3-1              2.3.1-1
                                sbcl              1.4.8-1             1.4.10-1
         vulkan-extra-layers 1.1.79+10184+7ae1b7c06-1 1.1.82+10205+94ac68e53-1
                      vulkan-headers           1:1.1.80-21:1.1.82+97+c4e056d-1
                    vulkan-html-docs           1:1.1.80-1           1:1.1.83-1
             vulkan-icd-loader 1.1.80+2940+da58202e9-1 1.1.82+2958+1f9a54573-1
                    vulkan-tools 1.1.79+6811+b7c389c9-1 1.1.82+6821+ca05ec7c-1
                vulkan-trace 1.1.79+10184+7ae1b7c06-1 1.1.82+10205+94ac68e53-1
        vulkan-validation-layers 1.1.79+7729+3bd8e348-1 1.1.82+7759+0cb86f5f-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-08-15           2018-08-16
-------------------------------------------------------------------------------
                   lib32-flashplugin         30.0.0.154-1                    -
                      lib32-harfbuzz              1.8.7-1              1.8.8-1
                  lib32-harfbuzz-icu              1.8.7-1              1.8.8-1
       lib32-vulkan-icd-loader 1.1.80+2940+da58202e9-1 1.1.82+2958+1f9a54573-1
  lib32-vulkan-validation-layers 1.1.79+7729+3bd8e348-1 1.1.82+7759+0cb86f5f-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Ready for Stable ?!?

  • We are ready to move this to our stable branch
  • I still see some issues (post about them)

0 voters


#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Something using Perl/Python/glibc broke

Rebuilds needed! If it’s an AUR package, rebuild it. If it’s a repo package, please report and check back regularly for rebuilds.


Items from previous update sets

Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


#3

Is it a bug or a feature that Virtualbox isn’t starting with the toolbar anymore - and if I activate it - after restarting the program it is gone again?


#4

No issues noticed. XFCE linux414. :beers:


#5

Seems to be a bug, was introduced already a few updates before.


#6

Thank you - I have not had the need to start VB lately a lot - so that slipped through on my end. Thx.

So there is no issue for me thats related to today than =)


#7

This is a bug due to Qt change in 5.11.1 and there is a workaroud.


#8

The glibc is not yet updated.

Both signal-desktop and visual studio code from AUR are broken as they are electron apps that wont run in current glibc version.

So users of electron apps, please skip this update also

~ $ signal-desktop 
/opt/Signal/signal-desktop: /opt/Signal/glibc/usr/lib/libc.so.6: version `GLIBC_2.28' not found (required by /usr/lib/libsystemd.so.0)
~ $ code
/opt/visual-studio-code/bin/../code: /opt/visual-studio-code/glibc/usr/lib/libc.so.6: version `GLIBC_2.28' not found (required by /usr/lib/libsystemd.so.0)

#9

We ship glibc 2.28-1.2 which is similar to glibc 2.28-4. I don’t know what signal-desktop and virtual-studio-code needs to get it working. Did you recompile it? Both provide a fix in AUR for that issue.


#10

Well you are probably right, I’ve tried to uninstall it and redownload it again, the problem is the aur package just extracts the binary from debiam package. Hmm, not problem at Manjaro end as maybe debian packages are compiled from older glibc.

Nothing I could do, maybe It’s time to touch flatpak or snaps :frowning:


#11

Well, they are now bundled with glibc 2.27 binaries. Sometimes it is good to check the change history on them. Simply try them out …


#12

The EOL kernels won’t of course get patched for L1TF or any other forthcoming announced threat discoveries. This is a strong reason they should be dropped* or at minimum marked EOL in MSM.

*jonathon has already done this with manjaro32

If newer kernels are not suitable, then they can downgrade to the older ones that are supported and receiving these security fixes.


#13

The signal aur package maintainer said so but it did not work for me.

I am not angry but I warn you not to let this to stable as you will be floded with screams like “why my <electron_bin_app> is not working”.

Maybe just waiting few days for the proper fix from upstream.


#14

As I said before, I don’t think that AUR packages not working, is something Manjaro needs to focus on.
AUR packages are managed by their maintainers. So the maintainers of those packages needs to make sure they work.
If they don’t work with manjaro’s glibc, do they work with Arch’s? Which is basicly the same source, just with different options enabled, as far as I know.


#15

I just wanted to prevent the chaos, we all know how the “being ranked #1 on distrowatch” brought so many new users that could flod the forum :slight_smile:.

It’s not really my problem though :zero: maybe not letting AUR problem to get in the way of release. :+1:


#16

Close it with Ctrl+Q or File > Exit


#17

What if you use the normal signal from AUR instead of the binary (signal-desktop-bin)?


#18

Yeah, that works :smiley: but I won’t be compiling it everytime an updates comes up. I want binary :smiley: maybe flatpak is the tool for me.


#19

Just sharing… I have begun to replace my AUR programs by Flatpak (when available) after this electron issues, and I have no issues at all. The opposite… quite happy with it. But it’s only my experience…


#20

Let’s get this to stable. Update was smooth to kernel 4.18.1 on XFCE.